<?php
/**
 * Template part for displaying home page hero content in panel-page.php.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Reduxbiz
 */

?>

<?php
	$servicesShow = redux_options('services_show');
	$servicesTitle = redux_options('services_heading');
	$servicesText = redux_options('services_text', '');
	$servicesImageID = redux_options('services_image');
	$servicesStyle = redux_options('services_style');
	
	if ($servicesStyle == 'light') {
		$bgClass= 'has-post-thumbnail';
	} else {
		$bgClass= '';
	}
	
?>

<?php if ($servicesShow == 'on'): ?>
<article class="hentry home-panel home-services <?php echo $bgClass; ?>" <?php reduxbiz_background_image($servicesImageID); ?>>

	<div class="hentry-wrapper">

		<?php if ( ( $servicesTitle != '' ) || ( $servicesText != '' ) ) :?>
			<header class="entry-header">

				<?php if ( $servicesTitle !== '' ) :?>
					<h2  class="entry-title"><?php echo $servicesTitle; ?></h2>
				<?php endif; ?>
				
				<?php if ( $servicesText != '' ) :?>
					<?php echo $servicesText; ?>
				<?php endif; ?>

			</header><!-- .entry-header -->
		<?php endif; ?>

		<div class="entry-content">
			
		<div class="service column-2">

		<?php
			//Define the Number of Testimonials Required
			$service_number = 4;
			
			$i = 1;
			$shown = 0;
			
			while ($i <= $service_number) {
			
				$serviceImageID = redux_options('services_image'.$i);
				$serviceName = redux_options('services_name'.$i);
				$serviceLink = redux_options('services_link'.$i);
				$serviceLinkText = redux_options('services_linktext'.$i, __('details &raquo;','reduxbiz'));
				$serviceText = redux_options('services_text'.$i);
				

				if ( ($serviceImageID != '') || ($serviceName != '') || ($serviceText != '') ) { 
				
					$shown++;
					
					if(checkEven($shown) === true){
					  $serviceClass = 'column-entry-first-item-row';
					}else{
					  $serviceClass = 'column-entry-last-item-row';
					} ?>
					
						<div class="service-entry column-entry-column-2 <?php echo $serviceClass; ?>">

								<?php if ( $serviceName != '' ) { ?>
									<h4><a href="<?php echo $serviceLink; ?>" title="<?php echo $serviceName; ?>"><?php echo $serviceName; ?></a></h4>
								<?php } ?>

							
								<?php 
	
									if ( $serviceImageID != '' ) {
										$serviceImage = wp_get_attachment_image_src( $serviceImageID,'big-thumb');
	
										if ( ! is_array( $serviceImage ) ) {
											echo '';
										} else {
											echo '<p><a class="services-featured-image" href="' . $serviceLink . '"><img src="' . esc_url( $serviceImage[0]) .'" class="attachment-thumbnail size-thumbnail wp-post-image"/></a></p>';
										}
									
									}
								?>
	
							
							<?php if ( $serviceText != '' ) { ?>
								<div class="service-entry-content">
									<?php echo $serviceText; ?>
								</div>
							<?php } ?>

							<?php if ( $serviceLink != '' ) { ?>
								<p class="alignright"><a href="<?php echo $serviceLink; ?>" title="<?php echo $serviceName; ?>"><?php echo $serviceLinkText; ?></a></p>
							<?php } ?>
								
						</div><!-- close .service-entry -->
				<?php }
			
				$i++;
			
			}
		?>
		
		</div><!-- .service -->

		</div><!-- .entry-content -->

	</div><!-- .hentry-wrapper -->
</article><!-- #post-## -->
<?php endif; ?>