<?php
/**
 * Template part for displaying home page hero content in panel-page.php.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Reduxbiz
 */

?>

<?php
	$teamShow = redux_options('team_show');
	$teamTitle = redux_options('team_heading');
	$teamText = redux_options('team_text', '');
	$teamImageID = redux_options('team_image');
	$teamStyle = redux_options('team_style');
	
	if ($teamStyle == 'light') {
		$bgClass= 'has-post-thumbnail';
	} else {
		$bgClass= '';
	}
	
?>

<?php if ($teamShow == 'on'): ?>

<article class="hentry home-panel home-team <?php echo $bgClass; ?>" <?php reduxbiz_background_image($teamImageID); ?>>

	<div class="hentry-wrapper">


		<?php if ( ( $teamTitle != '' ) || ( $teamText != '' ) ) :?>
			<header class="entry-header">

				<?php if ( $teamTitle != '' ) :?>
					<h2  class="entry-title"><?php echo $teamTitle; ?></h2>
				<?php endif; ?>
				
				<?php if ( $teamText != '' ) :?>
					<?php echo $teamText; ?>
				<?php endif; ?>

			</header><!-- .entry-header -->
		<?php endif; ?>

		<div class="entry-content">
			
		<div class="team column-2">

		<?php
			//Define the Number of Testimonials Required
			$teammember_number = 4;
			
			$i = 1;
			$shown = 0;
			
			while ($i <= $teammember_number) {
			
				$teammemberImageID = redux_options('teammember_image'.$i);
				$teammemberName = redux_options('teammember_name'.$i);
				$teammemberDesignation = redux_options('teammember_designation'.$i);
				$teammemberFacebook = redux_options('teammember_facebook'.$i,'#');
				$teammemberTwitter = redux_options('teammember_twitter'.$i,'#');
				$teammemberLinkedin = redux_options('teammember_linkedin'.$i,'#');
				$teammemberLink = redux_options('teammember_link'.$i,'#');
				$teammemberText = redux_options('teammember_text'.$i);
				

				if ( ( $teammemberName != '' )  || ( $teammemberImageID != '' ) ){ 
				
					$shown++;
					
					if(checkEven($shown) === true){
					  $teamClass = 'column-entry-first-item-row';
					}else{
					  $teamClass = 'column-entry-last-item-row';
					} ?>
					
						<div class="testimonial-entry column-entry-column-2 <?php echo $teamClass; ?>">

								<?php 
	
									if ( $teammemberImageID != '' ) {
										$teammemberImage = wp_get_attachment_image_src( $teammemberImageID,'big-thumb');
	
										if ( ! is_array( $teammemberImage ) ) {
											echo '';
										} else {
											echo '<p><img src="' . esc_url( $teammemberImage[0]) .'" class="attachment-thumbnail size-thumbnail wp-post-image"/></p>';
										}
									
									}
								?>

							<h3 class="team-name"><?php echo $teammemberName; ?></h3>				
							<?php if ( $teammemberDesignation != '' ) { ?> 										<p class="team-designation">&mdash; <?php echo $teammemberDesignation; ?></p>								<?php } ?>
							
							<?php if ( $teammemberText != '' ) { ?> 
								<div class="team-entry-content">
									<?php echo $teammemberText; ?>
								</div>
							<?php } ?>
							
							<p class="team-social">

								<?php if ( $teammemberFacebook != '' ) { ?> 
									<a rel="nofollow" target="_blank" class="icon" href="<?php echo esc_url($teammemberFacebook); ?>" title="<?php echo $teammemberName; ?> <?php _e('on Facebook','reduxbiz'); ?>"><span class="genericon genericon-facebook-alt"></span><span class="hide"><?php _e('Facebook','reduxbiz'); ?></span></a>
								<?php } ?>
	
								<?php if ( $teammemberTwitter != '' ) { ?> 
									<a rel="nofollow" target="_blank" class="icon" href="<?php echo esc_url($teammemberTwitter); ?>" title="<?php echo $teammemberName; ?> <?php _e('on Twitter','reduxbiz'); ?>"><span class="genericon genericon-twitter"></span><span class="hide"><?php _e('Twitter','reduxbiz'); ?></span></a>
								<?php } ?>
	
								<?php if ( $teammemberLinkedin != '' ) { ?> 
									<a rel="nofollow" target="_blank" class="icon" href="<?php echo esc_url($teammemberLinkedin); ?>" title="<?php echo $teammemberName; ?> <?php _e('on Linkedin','reduxbiz'); ?>"><span class="genericon genericon-linkedin"></span><span class="hide"><?php _e('Linkedin','reduxbiz'); ?></span></a>
								<?php } ?>
															
								<?php if ( $teammemberLink != '' ) { ?> 
									<a rel="nofollow" target="_blank" class="icon" href="<?php echo esc_url($teammemberLink); ?>" title="<?php echo $teammemberName; ?> <?php _e('on Web','reduxbiz'); ?>"><span class="genericon genericon-external"></span><span class="hide"><?php _e('Web','reduxbiz'); ?></span></a>
								<?php } ?>

							</p>						
						</div><!-- close .team-entry -->
				<?php }
			
				$i++;
			
			}
		?>
		
		</div><!-- .team -->

		</div><!-- .entry-content -->

	</div><!-- .hentry-wrapper -->
</article><!-- #post-## -->
<?php endif; ?>