<?php
/**
 * Template part for displaying home page hero content in panel-page.php.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Reduxbiz
 */

?>

<?php
	$testimonialsShow = redux_options('testimonial_show');
	$testimonialsTitle = redux_options('testimonial_heading');
	$testimonialsText = redux_options('testimonial_text', '');
	$testimonialsImageID = redux_options('testimonial_image');
	$testimonialsStyle = redux_options('testimonial_style');
	
	if ($testimonialsStyle == 'light') {
		$bgClass= 'has-post-thumbnail';
	} else {
		$bgClass= '';
	}
	
?>

<?php if ($testimonialsShow == 'on'): ?>
<article class="hentry home-panel home-testimonials <?php echo $bgClass; ?>" <?php reduxbiz_background_image($testimonialsImageID); ?>>

	<div class="hentry-wrapper">

		<?php if ( ($testimonialsTitle != '' ) || ($testimonialsText != '') ) :?>
		<header class="entry-header">
		
			<?php if ( $testimonialsTitle !== '' ) :?>
				<h2  class="entry-title"><?php echo $testimonialsTitle; ?></h2>
			<?php endif; ?>
			
			<?php if ( $testimonialsText != '' ) :?>
				<?php echo $testimonialsText; ?>
			<?php endif; ?>

		</header><!-- .entry-header -->
		<?php endif; ?>

		<div class="entry-content">
			
		<div class="testimonial column-2">

		<?php
			//Define the Number of Testimonials Required
			$testimonial_number = 4;
			
			$i = 1;
			$shown = 0;
			
			while ($i <= $testimonial_number) {
			
				$testimonialsImageID = redux_options('testimonial_image'.$i);
				$testimonialsName = redux_options('testimonial_name'.$i);
				$testimonialsLink = redux_options('testimonial_link'.$i,'#');
				$testimonialsText = redux_options('testimonial_text'.$i);
				

				if ( ($testimonialsName != '') && ($testimonialsText != '') ) { 
				
					$shown++;
					
					if(checkEven($shown) === true){
					  $testimonialClass = 'column-entry-first-item-row';
					}else{
					  $testimonialClass = 'column-entry-last-item-row';
					} ?>
					
						<div class="testimonial-entry column-entry-column-2 <?php echo $testimonialClass; ?>">
							<div class="testimonial-entry-content">
								<?php echo $testimonialsText; ?>
							</div>
							<span class="testimonial-entry-title">&mdash; <a href="<?php echo $testimonialsLink; ?>" title="<?php echo $testimonialsName; ?>" rel="nofollow"><?php echo $testimonialsName; ?></a></span>
								<?php 
	
									if ( $testimonialsImageID != '' ) {
										$testimonialImage = wp_get_attachment_image_src( $testimonialsImageID, 'thumbnail' );
	
										if ( ! is_array( $testimonialImage ) ) {
											echo '';
										} else {
											echo '<a class="testimonial-featured-image" href="'. $testimonialsLink . '" rel="nofollow">';
											echo '<img src="' . esc_url( $testimonialImage[0]) .'?w=150" class="attachment-thumbnail size-thumbnail wp-post-image"/>';
											echo '</a>';
										}
									
									}
								?>
								
						</div><!-- close .testimonial-entry -->
				<?php }
			
				$i++;
			
			}
		?>
		
		</div><!-- .testimonial -->

		</div><!-- .entry-content -->

	</div><!-- .hentry-wrapper -->
</article><!-- #post-## -->
<?php endif; ?>